Bug 121949

Summary: Verilog syntax file with Verilog 2001 support and code folding
Product: kate Reporter: Ryan Dalzell <ryan>
Component: syntaxAssignee: KWrite Developers <kwrite-bugs-null>
Status: RESOLVED FIXED    
Severity: wishlist    
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Gentoo Packages   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: Syntax highlighting file
Sample syntax file

Description Ryan Dalzell 2006-02-14 11:52:55 UTC
Version:            (using KDE KDE 3.5.0)
Installed from:    Gentoo Packages

Have been using this myself for some weeks now - should be pretty good.
I have provided a sample syntax file too, not sure if this is useful.
I am happy to become the maintainer of this, if the previous maintainer has become unavailable (I'm on the mailing list).
Comment 1 Ryan Dalzell 2006-02-14 11:53:48 UTC
Created attachment 14687 [details]
Syntax highlighting file
Comment 2 Ryan Dalzell 2006-02-14 11:54:12 UTC
Created attachment 14688 [details]
Sample syntax file
Comment 3 Thomas Friedrichsmeier 2007-12-12 23:46:04 UTC
Hi,

could you
1) Add some more words on what you changed
2) Increase the version number
3) Add yourself as an author
4) Take a look at this message: http://lists.kde.org/?l=kwrite-devel&m=118174575526788&w=2 to see whether there is anything more that you may want to add
5) Make sure checkdtd does not complain
6) When done post a message to kwrite-devel, referencing this report?

Thanks!
Comment 4 Christoph Cullmann 2011-08-11 16:57:33 UTC
Git commit aee6a6f4ecfc973a0f46f3b93aae6b855665980a by Christoph Cullmann.
Committed on 11/08/2011 at 18:57.
Pushed by cullmann into branch 'master'.

push new verilog hl
too long been only in bugzilla
BUG: 121949

M  +61   -44   part/syntax/data/verilog.xml

http://commits.kde.org/kate/aee6a6f4ecfc973a0f46f3b93aae6b855665980a
Comment 5 Christoph Cullmann 2011-08-11 16:59:00 UTC
Git commit fa406365536dad63c253b144fcb9ad44baba0211 by Christoph Cullmann.
Committed on 11/08/2011 at 18:58.
Pushed by cullmann into branch 'master'.

add test for verilog from bugzilla
BUG: 121949

A  +110  -0    part/tests/hl/verilog.v

http://commits.kde.org/kate/fa406365536dad63c253b144fcb9ad44baba0211
Comment 6 Ryan Dalzell 2011-08-11 17:02:58 UTC
On 11 August 2011 17:57, Christoph Cullmann <cullmann@kde.org> wrote:
> https://bugs.kde.org/show_bug.cgi?id=121949
>
>
> Christoph Cullmann <cullmann@kde.org> changed:
>
>           What    |Removed                     |Added
> ----------------------------------------------------------------------------
>             Status|UNCONFIRMED                 |RESOLVED
>         Resolution|                            |FIXED
>
>
>
>
> --- Comment #4 from Christoph Cullmann <cullmann kde org>  2011-08-11 16:57:33 ---
> Git commit aee6a6f4ecfc973a0f46f3b93aae6b855665980a by Christoph Cullmann.
> Committed on 11/08/2011 at 18:57.
> Pushed by cullmann into branch 'master'.
>
> push new verilog hl
> too long been only in bugzilla
> BUG: 121949
>
> M  +61   -44   part/syntax/data/verilog.xml
>
> http://commits.kde.org/kate/aee6a6f4ecfc973a0f46f3b93aae6b855665980a

Thanks, appreciate that.

-Ryan